# Generated from graphql_authorizer-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name graphql_authorizer

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: GraphQL Authorizer provides simple authorization forGraphQL endpoints
License: MIT
URL: https://www.gorated.ph
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(openssl) >= 2.1.1
# BuildRequires: rubygem(openssl) < 2.2
# BuildRequires: rubygem(openssl) >= 2.1.1
# BuildRequires: rubygem(activesupport) >= 5.1.3
# BuildRequires: rubygem(activesupport) < 5.2
# BuildRequires: rubygem(activesupport) >= 5.1.3
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(awesome_print) >= 1.8.0
# BuildRequires: rubygem(awesome_print) < 1.9
# BuildRequires: rubygem(awesome_print) >= 1.8.0
# BuildRequires: rubygem(pry) >= 0.11.3
# BuildRequires: rubygem(pry) < 0.12
# BuildRequires: rubygem(pry) >= 0.11.3
BuildArch: noarch

%description
GraphQL Authorizer is built to provide request signature, timestamp
validation, endpoint blocking and throttling using `rack-attack` gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/graphql_authorizer.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.6-1
- Initial package
